# octavia.amphorae.drivers.keepalived.jinja package

## Submodules

## octavia.amphorae.drivers.keepalived.jinja.jinja_cfg module

class KeepalivedJinjaTemplater(keepalived_template=None)

  Bases: `object`

  build_keepalived_config(loadbalancer, amphora, amp_net_config)

    Renders the loadblanacer keepalived configuration for Active/Standby

    Parameters:

      - loadbalancer – A loadbalancer object

      - amphora – An amphora object

      - amp_net_config – The amphora network config, a dict

  get_template(template_file)

    Returns the specified Jinja configuration template.

## Module contents

this page last updated: 2026-03-10 18:02:42

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug